Add Tag To Entity
Create a new tag attached to the object specified inside the tag body. A tag is a key-value pair that can be attached to specific objects, currently vehicles or batteries. This can be used to categorize those objects and link them back to objects in your system.
For example, if you wanted to add a fleet id to a vehicle, you could pass a tag with key “fleet_id” and then the id value, set the entityType to “DEVICE”, and pass, as the entityId, the ID of the vehicle you want to tag.
This would tag that vehicle with the fleet_id “1234”, and you could query in the list vehicles endpoint for vehicles with that tag.
The entity types that can be currently passed are:
DEVICE
Returns:
- A response with an empty body and a 200 status code
Possible Codes in Error Response (see Errors for error response schema and meaning of codes):
- AUTHENTICATION_ERROR
- REQUEST_VALIDATION_ERROR
- RESOURCE_NOT_FOUND
- SERVER_ERROR
Documentation Index
Fetch the complete documentation index at: https://docs.volteras.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
150150What type of object is being tagged, such as 'VEHICLE'. IMPORTANT: If the account is tagged, all devices underneath the account will also be tagged.
DEVICE ID of the object being tagged
Response
Successful Response

